Subject: Re: [kitten] New Draft: Open Password Automation Recipe (OPAR) Protocol

From: "Branden R. Williams" <[email-masked]>
Date: Wed, 4 Oct 2017 13:42:29 -0500

FYI, I realized a typo in the draft that includes two examples, both labeled as example 1. Will fix if this goes through.

Regards,

Branden R. Williams, DBA, CISSP, CISM
[email-masked] <mailto:[email-masked]>
Phone: +1 (214) 727-8227

http://www.brandenwilliams.com/

> On Sep 26, 2017, at 11:05 AM, Branden Williams <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Good day!
>  
> I’m happy to announce my first I-D submission here: https://tools.ietf.org/html/draft-bwilliams-kitten-opar-00 <https://tools.ietf.org/html/draft-bwilliams-kitten-opar-00>
>  
> Problem Description:
> There is no standard way for a Password Manager (1Password, LastPass, etc.) to understand what constitutes a compliant password on a site to site basis. Often times, the format that it suggests does not comply with the website’s password policy (wrong special characters, wrong length, wrong count of upper v. lower v. numbers). The attached proposal attempts to solve this by allowing website owners to embed their password policy programmatically into a JSON object that a password manager can read to automatically suggest a strong and compliant password. This would promote usability of password managers as well as improve the user experience. (Note: I do not work for any company that creates a password manager.)
>  
> Success:
> Publication of this doc as a Proposed Standard. This would allow website owners to programmatically describe compliant passwords so password managers can suggest, transmit, and store the maximum strength compliant password possible for the website. Ideally, all developers that build password managers could implement the standard to improve their user experience. This could potentially also improve user experience for those with ADA (or non-US equivalent) requirements.
>  
> Discussion:
> Please discuss here on [email-masked] <mailto:[email-masked]>! As this is my first submission, I am open to any and all comments.
>  
> Regards,
>  
> Branden R. Williams, DBA, CISSP, CISM
> [email-masked] <mailto:[email-masked]>
> Phone: +1 (214) 727-8227
>  
> http://www.brandenwilliams.com/ <http://www.brandenwilliams.com/>_______________________________________________
> Kitten mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/kitten <https://www.ietf.org/mailman/listinfo/kitten>